{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/select2/select2.min.css' %}">
{% endblock stylesheet %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Agregar Docente" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'teacher_list' %}">{% trans "Docentes" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Agregar Docente" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="row">

    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>{% trans "Agregar Docente" %} </h3>
                <div class="ibox-content">
                    <form action="{% url 'teacher_add' %}" id="formulario" method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="row">
                            <div class="form-group col-md-4">
                                {{ form.first_name|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.last_name|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.email|bootstrap }}
                            </div>
                        </div>
                        <div class="row"> 
                            <div class="form-group col-md-4">
                                {{ form.rut|bootstrap }}
                            </div>                                                
                            <div class="form-group col-md-4">
                                {{ form.username|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.password|bootstrap }}
                            </div>
                        </div> 
                        <div class="row">
                            <div class="form-group col-md-12">
                                <label for="select_campus_carreer">
                                    {% trans "Campus Carrera:" %}<br>
                                    <select id="select_campus_carreer" class="js-example-responsive js-states form-control select2-hidden-accessible" multiple="multiple" tabindex="-1" aria-hidden="true" style="width: 71.8vw" name="select_campus_carreer">
                                    {% for ar in obj_ar %}
                                        <optgroup label="{{ar.campus_name}}">
                                        {% for carreer in ar.carreers %}
                                            <option value="{{carreer.id}}">{{carreer.name}}</option>
                                        {% endfor %}
                                        </optgroup>                                       
                                    {% endfor %}
                                    </select>
                                </label>                                
                            </div>                           
                        </div>                           
                            <div class="row">                               
                                <div class="form-group col-md-4">
                                    {{ form.post_grade|bootstrap }}  
                                </div>
                                <div class="form-group col-md-4">
                                    {{ form.teacher_type|bootstrap }}                                      
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="select_course">
                                        {% trans "NRC:" %}<br>
                                        <select id="select_course" class="js-example-responsive js-states form-control select2-hidden-accessible" multiple="multiple" tabindex="-1" aria-hidden="true" style="width: 15.8vw" name="select_course">
                                        <!-- {% for c in course.all %}
                                            <option value="{{c.id}}">{{c.nrc}}</option>
                                        {% endfor %} -->
                                        </select>
                                    </label>                                
                                </div>                                      
                            </div>
    
                        <div class="row">
                            <div class="form-group col-md-12">
                                {{ form.description|bootstrap|safe }}
                            </div>
                        </div>                    
                        <div class="row">
                            <div class="form-group col-md-4">
                                {{ form.avatar|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.cv|bootstrap }}
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group clearfix">
                            <input type="submit" class="btn btn-primary pull-right" value="Guardar Docente">
                            <input type="reset" class="btn btn-white pull-right" value="Limpiar">                        
                        </div>
                    </form>
                </div>
            </div>        

        </div>
    </div>
</div>

{% endblock content %}

{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>

<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){
        $('#id_post_grade').select2();
        $('#id_teacher_type').select2();  
        $('#select_campus_carreer').select2({
            placeholder: {
                id: '-1',
                text: ' -- Seleccione una Carrera -- '}
        });
        $('#select_course').select2({
            placeholder: {
                id: '-1',
                text: ' -- Seleccione NRC -- '}
        });
        $('#select_campus_carreer').change(function(){
            console.log($('#select_campus_carreer').val())
            $.ajax({
                type: "post",
                url: "{% url 'get_nrc' %}",
                data: {
                    csrfmiddlewaretoken: '{{ csrf_token }}',
                    "data[]": $('#select_campus_carreer').val()
                },
                success: function(response){
                    var data = $.parseJSON(response)
                    $('#select_course').html('')       
                    $.each(data, function(index, element) {
                        console.log(element.pk)
                        $('#select_course').append('<option value="' + element.pk + '">' + element.fields.nrc + '</option>')              
                    });
                },

            });
        })
    });
</script>

{% endblock javascript %}
